# Class TwoMassPscTableBuilder

java.lang.Object
uk.ac.starlink.ttools.example.TwoMassPscTableBuilder

All Implemented Interfaces:
  `uk.ac.starlink.table.TableBuilder`

public class TwoMassPscTableBuilder extends Object implements uk.ac.starlink.table.TableBuilder
TableBuilder implementation for the ASCII files distributed on the 2MASS catalogue DVD set. These files are also available from ftp://ftp.ipac.caltech.edu/pub/2mass/allsky/.

Since:
  12 Sep 2006
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`TwoMassPscTableBuilder()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canImport(DataFlavor flavor)`
`String`
`getFormatName()`
`boolean`
`looksLikeFile(String location)`
`uk.ac.starlink.table.StarTable`
`makeStarTable(uk.ac.starlink.util.DataSource datsrc, boolean wantRandom, uk.ac.starlink.table.StoragePolicy storagePolicy)`
`void`
`streamStarTable(InputStream in, uk.ac.starlink.table.TableSink sink, String pos)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TwoMassPscTableBuilder

public TwoMassPscTableBuilder()

## Method Details

### canImport

public boolean canImport(DataFlavor flavor)

Specified by:
  `canImport` in interface `uk.ac.starlink.table.TableBuilder`

### getFormatName

public String getFormatName()

Specified by:
  `getFormatName` in interface `uk.ac.starlink.table.TableBuilder`

### looksLikeFile

public boolean looksLikeFile(String location)

Specified by:
  `looksLikeFile` in interface `uk.ac.starlink.table.TableBuilder`

### makeStarTable

public uk.ac.starlink.table.StarTable makeStarTable(uk.ac.starlink.util.DataSource datsrc, boolean wantRandom, uk.ac.starlink.table.StoragePolicy storagePolicy) throws IOException

Specified by:
  `makeStarTable` in interface `uk.ac.starlink.table.TableBuilder`
Throws:
  `IOException`

### streamStarTable

public void streamStarTable(InputStream in, uk.ac.starlink.table.TableSink sink, String pos)

Specified by:
  `streamStarTable` in interface `uk.ac.starlink.table.TableBuilder`